#
# spec file for package yast2-pam (Version 2.18.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-pam
Version:        2.18.1
Release:        0.1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-pam-2.18.1.tar.bz2

Prefix:         /usr

Group:          System/YaST
License:        GPLv2+
BuildRequires:  doxygen perl-XML-Writer yast2 yast2-core-devel yast2-devtools yast2-testsuite
Requires:       yast2

Requires:       pam-config >= 0.8

Provides:       yast2-agent-pam
Obsoletes:      yast2-agent-pam
Provides:       yast2-agent-pam-devel
Obsoletes:      yast2-agent-pam-devel

BuildArch:      noarch

Summary:        YaST2 - PAM Agent

%description
This agent is used by YaST2 to modify the PAM configuration files

%prep
%setup -n yast2-pam-2.18.1

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/modules/*
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_passwd
%doc %{prefix}/share/doc/packages/yast2-pam
%changelog
* Thu Mar 18 2010 jsuchome@suse.cz
- lxdm can also suport autologin (bnc#581477)
- 2.18.1
* Tue Jun  2 2009 jsuchome@suse.cz
- removed obsolete functions from PamSettings
- 2.18.0
* Mon Nov 10 2008 visnov@suse.cz
- make it build
- 2.17.1
* Mon Nov 10 2008 jsuchome@suse.cz
- new version for new release
- 2.17.0
* Mon Apr 28 2008 jsuchome@suse.cz
- Autologin: kdm3/kdm4 values as DISPLAYMANAGER, no SuSEconfig.kdm
- 2.16.2
* Thu Mar 27 2008 jsuchome@suse.cz
- kdm could be in kde4-kdm package
- 2.16.1
* Fri Oct 19 2007 jsuchome@suse.cz
- check for empty lines in passwd/group/shadow (#333305)
- 2.16.0
* Thu Aug 24 2006 jsuchome@suse.cz
- adapted for pam-config usage (F300956)
- API of PamSettings module is obsolete
- 2.14.0
* Wed Jul 26 2006 jsuchome@suse.cz
- added Pam.ycp module to handle /etc/pam.d/* files (#190330)
- 2.13.5
* Tue Jul 25 2006 jsuchome@suse.cz
- added support for empty passwords (#144724)
- 2.13.4
* Thu Jun  1 2006 jsuchome@suse.cz
- API of Autologin, Nsswitch and PamSettings marked as stable
- 2.13.3
* Tue Feb 14 2006 jsuchome@suse.cz
- reduced BuildRequires and Requires (yast2-packager not needed)
- 2.13.2
* Wed Nov 16 2005 jsuchome@suse.cz
- adapted passwd-agent to index maps of users and groups by names,
  not by id's (thus allowing duplicated id's)
- 2.13.1
* Thu Sep 29 2005 jsuchome@suse.cz
- ag_passwd: return everything as strings to allow usernames (etc.)
  starting with 0 (#118371)
- 2.13.0
* Thu Aug 18 2005 jsuchome@suse.cz
- autologin: call correct SuSEconfig module for GDM (#74198)
- 2.12.3
* Thu Aug 11 2005 jsuchome@suse.cz
- do not set 0 as default for empty values (#103873)
- 2.12.2
* Mon Apr 25 2005 jsuchome@suse.cz
- enable autologin for GDM (#74198)
- 2.12.1
* Mon Apr 18 2005 jsuchome@suse.cz
- updated for new interface of ProductFeatures.ycp
- 2.12.0
* Thu Feb  3 2005 jsuchome@suse.cz
- dropped agent-pam
- 2.11.1
* Fri Jan 21 2005 jsuchome@suse.cz
- use Package instead of Require
- 2.11.0
* Wed Aug 18 2004 jsuchome@suse.cz
- correctly check if entries of /etc/default/passwd were modified
- 2.10.3
* Tue Jul 27 2004 jsuchome@suse.cz
- PamSettings: read/write also group encryption method
- Nsswitch: add Write function (write modified file to disk)
- 2.10.2
* Mon Jul 12 2004 jsuchome@suse.cz
- Moved nsswitch.conf agent here from yast2-network.
- Nsswitch.ycp provides YCP interface to nsswitch agent
- 2.10.1
* Mon Jun 28 2004 jsuchome@suse.cz
- /etc/default/passwd is used for handling encryption types
  (new agent + YCP routines)
- 2.10.0
* Thu May 27 2004 jsuchome@suse.cz
- ag_passwd: read group password (#41300)
- 2.9.13
* Tue May 18 2004 jsuchome@suse.cz
- ag_passwd can now read and write multiple +/- lines (#40571)
- ag_passwd: do not throw away the comments
- 2.9.12
* Fri Apr 16 2004 jsuchome@suse.cz
- fix: do not ignore additional user data (#38973)
- 2.9.11
* Fri Apr  2 2004 jsuchome@suse.cz
- changed license to GPL
- 2.9.10
* Tue Mar 30 2004 jsuchome@suse.cz
- ag_passwd fix: do not save NIS users to local files (#37508)
- 2.9.9
* Thu Mar 25 2004 jsuchome@suse.cz
- ag_passwd: check if all parts of shadow line exist during write
  (and set the default values otherwise)
- 2.9.8
* Mon Mar 22 2004 jsuchome@suse.cz
- use lowecase user/group attribute names
- 2.9.7
* Fri Mar 19 2004 mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Wed Mar 17 2004 jsuchome@suse.cz
- fix of writing /etc/security/pam*conf files (#35721)
* Mon Mar 15 2004 jsuchome@suse.cz
- changed internal key names: "username" -> "uid", "groupname" -> "cn"
- 2.9.6
* Wed Mar 10 2004 jsuchome@suse.cz
- agent-passwd moved here from yast2-users
- 2.9.5
* Wed Mar 10 2004 jsuchome@suse.cz
- fixed NFB: yast2-indstalltion no more necessary
- 2.9.4
* Thu Mar  4 2004 jsuchome@suse.cz
- check ProductFeatures if Autologin is available (#35023)
- 2.9.3
* Mon Mar  1 2004 jsuchome@suse.cz
- map/list typing
* Mon Mar  1 2004 jsuchome@suse.cz
- merged texts from proofread
* Tue Feb  3 2004 jsuchome@suse.cz
- added Autologin::Use function (set 'use' variable from outside)
- 2.9.2
* Mon Jan 26 2004 msvec@suse.cz
- updated for the new interpreter
- 2.9.1
* Mon Jan 19 2004 jsrain@suse.de
- merged the new interpreter branch
* Fri Nov 28 2003 jsuchome@suse.cz
- syntax fixes for new interpreter
* Fri Nov 21 2003 jsuchome@suse.cz
- yast2-packager required
* Thu Nov 20 2003 jsuchome@suse.cz
- Autologin.ycp now part of yast2-pam
- 2.9.0
* Thu Nov 13 2003 msvec@suse.cz
- migrated to doxygen
- 2.8.6
* Thu Aug 21 2003 jsuchome@suse.cz
- added testsuite
- 2.8.5
* Tue Aug 12 2003 jsuchome@suse.de
- updated documentation
- 2.8.4
* Mon Aug  4 2003 jsuchome@suse.de
- \t is also separator in config files (besides space)
* Wed Jul 23 2003 msvec@suse.cz
- added some fallbacks for SCR access
- 2.8.3
* Wed Jul 16 2003 jsuchome@suse.de
- added YCP interface for agent (Pam.ycp, PamSettings.ycp) [initial]
- stand-alone agent for configuring /etc/security/*.conf
- 2.8.2
* Mon Nov 25 2002 msvec@suse.cz
- 2.7.0
* Wed Sep 11 2002 kukuk@suse.de
- Create temp file after checking if source exists [Bug #19374]
* Mon Jul 29 2002 kukuk@suse.de
- Change y2milestone to y2debug [Bug #17174]
- Version 2.6.4
* Sat Jul  6 2002 arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Tue Jul  2 2002 msvec@suse.cz
- 2.6.2
* Mon Jun 24 2002 arvin@suse.de
- renamed from yast2-agent-pam to yast2-pam
* Wed May 15 2002 arvin@suse.de
- use %%{_libdir} in plugin path
* Mon Apr  8 2002 kukuk@suse.de
- Merge 8.0-branch with STABLE
- Fix for g++ 3.1
- Version 2.6.0
* Thu Feb 28 2002 kukuk@suse.de
- Return only boolean value in Write part of the agent [Bug #13965]
* Tue Feb 19 2002 kukuk@suse.de
- Treat the case correct where the only argument should be removed
- Increase version number to 2.5.3
* Sun Feb 17 2002 kukuk@suse.de
- Treat missing config files as warning, not error [Bug #13343]
- Increase version number to 2.5.2
* Fri Jan 25 2002 kukuk@suse.de
- Check always if fopen returns NULL [Bug #12893]
- Add support for /etc/security/pam_pwcheck.conf
- Increase version number to 2.5.1
* Sat Jan 19 2002 kukuk@suse.de
- Add support for /etc/security/pam_unix2.conf
- Don't remove spaces in comments
- Increase version number to 2.5.0
* Tue Aug 14 2001 kukuk@suse.de
- Fix order of arguments for rename() call
- restore owner and permissions of config file
* Mon Jul 16 2001 arvin@suse.de
- fixed to compile with gcc 3.0
* Sat Jul 14 2001 kukuk@suse.de
- Don't know who modiefied the CVS version without changes entries,
  but use the current CVS version now.
* Tue Jul 10 2001 kukuk@suse.de
- Initial version
